import { Component } from 'dino-core';
import { type AbstractPolicy } from './AbstractPolicy';
export declare class PolicyFactory extends Component {
    private readonly applicationContext;
    constructor({ applicationContext }: {
        applicationContext: any;
    });
    /**
     * Get a policy object
     * @param {String} policy the policy to lookup
     * @returns {AbstractPolicy} an implementation of AbstractPolicy
     *
     * @public
     */
    getPolicy(policy: string): AbstractPolicy;
}
